﻿/*
Script de implantação para DL_ATACADEZ

Este código foi gerado por uma ferramenta.
As alterações feitas nesse arquivo poderão causar comportamento incorreto e serão perdidas se
o código for gerado novamente.
*/

GO
SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, ARITHABORT, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON;

SET NUMERIC_ROUNDABORT OFF;


GO
:setvar DatabaseName "DL_ATACADEZ"
:setvar DefaultFilePrefix "DL_ATACADEZ"
:setvar DefaultDataPath "C:\Program Files\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\DATA\"
:setvar DefaultLogPath "C:\Program Files\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\DATA\"

GO
:on error exit
GO
/*
Detecta o modo SQLCMD e desabilita a execução do script se o modo SQLCMD não tiver suporte.
Para reabilitar o script após habilitar o modo SQLCMD, execute o comando a seguir:
SET NOEXEC OFF; 
*/
:setvar __IsSqlCmdEnabled "True"
GO
IF N'$(__IsSqlCmdEnabled)' NOT LIKE N'True'
    BEGIN
        PRINT N'O modo SQLCMD deve ser habilitado para executar esse script com êxito.';
        SET NOEXEC ON;
    END


GO
USE [$(DatabaseName)];


GO
IF EXISTS (SELECT 1
           FROM   [master].[dbo].[sysdatabases]
           WHERE  [name] = N'$(DatabaseName)')
    BEGIN
        ALTER DATABASE [$(DatabaseName)]
            SET TEMPORAL_HISTORY_RETENTION ON 
            WITH ROLLBACK IMMEDIATE;
    END


GO
PRINT N'A operação de refatoração Renomear com chave 069fd20a-ff2f-4b29-b379-fa12635c7a2c foi ignorada; o elemento [dbo].[tbl_nota].[Id] (SqlSimpleColumn) não será renomeado para numero';


GO
PRINT N'A operação de refatoração Renomear com chave 2dd41fb6-e255-4370-a695-2095c19424d8 foi ignorada; o elemento [dbo].[tbl_item].[Id] (SqlSimpleColumn) não será renomeado para numero';


GO
PRINT N'A operação de refatoração Renomear com chave 1dfe2b92-2e25-4475-a1a0-6d93b22ada74 foi ignorada; o elemento [dbo].[tbl_compra].[Id] (SqlSimpleColumn) não será renomeado para mes_ano';


GO
PRINT N'A operação de refatoração Renomear com chave 0db6af08-195b-444a-b390-0bb8432d446d foi ignorada; o elemento [dbo].[tbl_tempo].[Id] (SqlSimpleColumn) não será renomeado para cod_dia';


GO
PRINT N'A operação de refatoração Renomear com chave 1e295c93-9586-4f76-bb92-9951f67f481c foi ignorada; o elemento [dbo].[tbl_log].[Id] (SqlSimpleColumn) não será renomeado para data';


GO
-- Etapa de refatoração para atualizar o servidor de destino com logs de transação implantados
IF NOT EXISTS (SELECT OperationKey FROM [dbo].[__RefactorLog] WHERE OperationKey = '069fd20a-ff2f-4b29-b379-fa12635c7a2c')
INSERT INTO [dbo].[__RefactorLog] (OperationKey) values ('069fd20a-ff2f-4b29-b379-fa12635c7a2c')
IF NOT EXISTS (SELECT OperationKey FROM [dbo].[__RefactorLog] WHERE OperationKey = '2dd41fb6-e255-4370-a695-2095c19424d8')
INSERT INTO [dbo].[__RefactorLog] (OperationKey) values ('2dd41fb6-e255-4370-a695-2095c19424d8')
IF NOT EXISTS (SELECT OperationKey FROM [dbo].[__RefactorLog] WHERE OperationKey = '1dfe2b92-2e25-4475-a1a0-6d93b22ada74')
INSERT INTO [dbo].[__RefactorLog] (OperationKey) values ('1dfe2b92-2e25-4475-a1a0-6d93b22ada74')
IF NOT EXISTS (SELECT OperationKey FROM [dbo].[__RefactorLog] WHERE OperationKey = '0db6af08-195b-444a-b390-0bb8432d446d')
INSERT INTO [dbo].[__RefactorLog] (OperationKey) values ('0db6af08-195b-444a-b390-0bb8432d446d')
IF NOT EXISTS (SELECT OperationKey FROM [dbo].[__RefactorLog] WHERE OperationKey = '1e295c93-9586-4f76-bb92-9951f67f481c')
INSERT INTO [dbo].[__RefactorLog] (OperationKey) values ('1e295c93-9586-4f76-bb92-9951f67f481c')

GO

GO
PRINT N'Atualização concluída.';


GO
